Quassel IRC - Bug #903

Odd umode case can make user disappear from nick list
01/25/2010 11:26 PM - srae

Status: Resolved Start date: 01/25/2010
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.6.2

Version: 0.6-pre 0S: Any
Description

The nick list can lose track of users when a specific uname command is issued.
Multiple umode commands can be issued by stacking the commands like:
/mode #channel +ooo userl user2 user3...

This works correctly if multiple different modes are specified like:

/mode #channel -o+oo userl user2 user3

However, if the negative umode change is specified last, and if all the mode changes take effect, any users affected by it will
disappear completely from the nick list and don't reappear until they or you rejoin the channel:

/mode #channel +o0-o0o0 userl user2 user3

In the last case, user2 and user3 will no longer be visible in the nick list. They can still be seen in the chat window, along with any
status changes made to them. This also works if the umode is +/-h or +/-v.

Core versions: 0.5.0-Oubuntui, 0.5.2-Oubuntu1~karmic1
Client version: Windows 0.5.1 (dist-7cae1af), Nov 21 2009

Associated revisions

Revision 9f027bb47c11c2c55f08d5ecee0df769f889c8c7 - 04/30/2010 05:56 PM - Marcus Eggenberger

fixes #903 - Odd umode case can make user disappear from nick list

Revision 9f027bb4 - 04/30/2010 05:56 PM - Marcus Eggenberger

fixes #903 - Odd umode case can make user disappear from nick list

Revision 036f2bed90b26672119eedb0f73693d322a8ac9c - 05/11/2010 11:06 PM - Marcus Eggenberger

fixes #903 - Odd umode case can make user disappear from nick list

Revision 036f2bed - 05/11/2010 11:06 PM - Marcus Eggenberger

fixes #903 - Odd umode case can make user disappear from nick list

History

#1 - 03/03/2010 10:30 PM - al

- Status changed from New to Confirmed

#2 - 03/03/2010 10:30 PM - al
- Version changed from 0.5.0 to 0.6-pre

#3 - 03/03/2010 10:55 PM - al

- Assignee set to seezer

#4 - 03/03/2010 10:55 PM - al
- Target version set to 0.6.0

#5 - 04/23/2010 03:18 AM - johu
- Target version changed from 0.6.0 to 0.6.2

#6 - 05/02/2010 03:09 AM - seezer

- Assignee changed from seezer to EgS

#7 - 05/02/2010 03:09 AM - EgS
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset 9f027bb47c11c2c55f08d5ecee0df769f889¢c8c7.
